org.keycloak.models

## Interface UserModel

- All Known Implementing Classes:
    UserAdapter, UserAdapter

      public interface UserModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `UserModel.RequiredAction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EMAIL`
    `static String` | `FIRST_NAME`
    `static String` | `LAST_NAME`
    `static String` | `LOGIN_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequiredAction(UserModel.RequiredAction action)`
    `String` | `getAttribute(String name)`
    `Map<String,String>` | `getAttributes()`
    `String` | `getEmail()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getLastName()`
    `String` | `getLoginName()`
    `int` | `getNotBefore()`
    `Set<UserModel.RequiredAction>` | `getRequiredActions()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`
    `void` | `removeAttribute(String name)`
    `void` | `removeRequiredAction(UserModel.RequiredAction action)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(boolean verified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFirstName(String firstName)`
    `void` | `setLastName(String lastName)`
    `void` | `setLoginName(String loginName)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setTotp(boolean totp)`

- - ### Field Detail

    - #### LOGIN_NAME

          static final String LOGIN_NAME

      See Also:
        Constant Field Values

    - #### LAST_NAME

          static final String LAST_NAME

      See Also:
        Constant Field Values

    - #### FIRST_NAME

          static final String FIRST_NAME

      See Also:
        Constant Field Values

    - #### EMAIL

          static final String EMAIL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

    - #### getLoginName

          String getLoginName()

    - #### setLoginName

          void setLoginName(String loginName)

    - #### isEnabled

          boolean isEnabled()

    - #### isTotp

          boolean isTotp()

    - #### setEnabled

          void setEnabled(boolean enabled)

    - #### setAttribute

          void setAttribute(String name,
                          String value)

    - #### removeAttribute

          void removeAttribute(String name)

    - #### getAttribute

          String getAttribute(String name)

    - #### getAttributes

          Map<String,String> getAttributes()

    - #### getRequiredActions

          Set<UserModel.RequiredAction> getRequiredActions()

    - #### addRequiredAction

          void addRequiredAction(UserModel.RequiredAction action)

    - #### removeRequiredAction

          void removeRequiredAction(UserModel.RequiredAction action)

    - #### getFirstName

          String getFirstName()

    - #### setFirstName

          void setFirstName(String firstName)

    - #### getLastName

          String getLastName()

    - #### setLastName

          void setLastName(String lastName)

    - #### getEmail

          String getEmail()

    - #### setEmail

          void setEmail(String email)

    - #### isEmailVerified

          boolean isEmailVerified()

    - #### setEmailVerified

          void setEmailVerified(boolean verified)

    - #### setTotp

          void setTotp(boolean totp)

    - #### getNotBefore

          int getNotBefore()

    - #### setNotBefore

          void setNotBefore(int notBefore)

Copyright © 2014. All Rights Reserved.